Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Macros | Functions
serialis.h File Reference
`#include <stdlib.h>`
`#include <string.h>`
`#include <stdio.h>`
`#include "memry.h"`
`#include "errcode.h"`
`#include "fileerr.h"`

Go to the source code of this file.

## Macros

#define | QUOTE_IT(parm) #parm

## Functions

DLLSYM uinT64 | reverse64 (uinT64)
DLLSYM uinT32 | reverse32 (uinT32)
DLLSYM uinT16 | reverse16 (uinT16)

## Macro Definition Documentation

#define QUOTE_IT | ( |  | parm | ) | #parm

Definition at line 41 of file serialis.h.

## Function Documentation

DLLSYM uinT16 reverse16 | ( | uinT16 |  | ) |

Definition at line 50 of file serialis.cpp.

{
return ((num & 0xff) << 8) | ((num >> 8) & 0xff);
}

DLLSYM uinT32 reverse32 | ( | uinT32 |  | ) |

Definition at line 36 of file serialis.cpp.

{
return (reverse16 ((uinT16) (num & 0xffff)) << 16)
| reverse16 ((uinT16) ((num >> 16) & 0xffff));
}

DLLSYM uinT64 reverse64 | ( | uinT64 |  | ) |

Definition at line 25 of file serialis.cpp.

{
return ((uinT64)reverse32((uinT32)(num & 0xffffffff)) << 32)
| reverse32((uinT32)((num >> 32) & 0xffffffff));
}